<div class="sidenav" ng-controller="SideNavCtrl as sideNav" layout="column" flex>
  <md-sidenav md-component-id="left" md-is-locked-open="$mdMedia('gt-xs')" md-whiteframe="5" flex>

    <md-list class="menu-items">
      <md-list-item ng-click="sideNav.selectMenuItem(menuItem)" ng-repeat="menuItem in sideNav.menuItems">
        <p ng-class="{'selected' : menuItem === sideNav.selected }"> {{ menuItem.name }} </p>
      </md-list-item>
    </md-list>

  </md-sidenav>
</div>
